%global plugin_name workflow-cps-global-lib

Summary:    Global shared library for Pipeline scripts in Jenkins
Name:       jenkins-plugin-%{plugin_name}
Version:    2.8
Release:    10%{?dist}
License:    MIT
# URL is correct
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Pipeline+Shared+Groovy+Libraries+Plugin
# AltURL:   https://github.com/jenkinsci/workflow-cps-global-lib-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2
Requires:   jenkins-plugin-script-security
Requires:   jenkins-plugin-scm-api
Requires:   jenkins-plugin-git-server
Requires:   jenkins-plugin-git-client
Requires:   jenkins-plugin-cloudbees-folder
Requires:   jenkins-plugin-workflow-scm-step
Requires:   jenkins-plugin-workflow-cps

%description
When you have multiple Pipeline jobs, you often want 
to share some parts of the Pipeline scripts between 
them to keep Pipeline scripts DRY. A very common use 
case is that you have many projects that are built in 
the similar way.

This plugin adds that functionality by creating a 
"shared library script" Git repository inside Jenkins. 
Every Pipeline script in your Jenkins see these shared 
library scripts in their classpath.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 2.8 - 2.8-10
- rebuilt

* Mon May 08 2017 Troy Dawson <tdawson@redhat.com> - 2.8-1
- Update to 2.8

* Tue Apr 18 2017 Troy Dawson <tdawson@redhat.com> - 2.7-1
- Update to 2.7

* Tue Apr 18 2017 Troy Dawson <tdawson@redhat.com> - 2.7-1
- Update to 2.7

* Thu Nov 03 2016 Troy Dawson <tdawson@redhat.com> - 2.4-1
- Update to latest version

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 2.0-1
- Initial package
